Commit 052bee0c authored by rubicon's avatar rubicon
Browse files

testing/undroidwish: new aport

parent bb728011
Pipeline #129699 failed with stages
in 15 minutes and 56 seconds
# Contributor: rubicon <rubicon@mailo.com>
# Maintainer: rubicon <rubicon@mailo.com>
pkgname=undroidwish
_pkgname=androwish
pkgver=20201105
_pkgver=c48f047f5b
pkgrel=0
pkgdesc="Batteries included Tcl/Tk distribution"
url="https://www.androwish.org/home/wiki?name=undroidwish"
arch="all"
license="TCL"
options="!check !strip"
depends="mesa-gl libxcursor libcurl alsa-lib"
makedepends="
alsa-lib-dev augeas-dev avahi-compat-libdns_sd
avahi-dev cairo-dev cmake curl-dev curl-static
dbus-dev eudev-dev fontconfig-dev
freetype-dev freetype-static fuse-dev
glu-dev ibus-dev libjpeg-turbo-dev
libjpeg-turbo-static libtool libusb-dev
libx11-dev libxext-dev libxft-dev
libxrender-dev mesa-dev
nasm ncurses-dev openjpeg-dev
openssl-libs-static perl rsync
sdl2-dev zip zlib-dev zlib-static
"
source="$pkgname-$pkgver.tar.gz::https://www.androwish.org/download/$_pkgname-$_pkgver.tar.gz
use-system-libs.patch
dont-build-info.patch
trofs-stat64.patch
dont-build-test.patch
fix-vlerq-bigendian.patch
"
builddir="$srcdir"/"$_pkgname-$_pkgver"
build() {
cd undroid/
./build-undroidwish-generic.sh sync
./build-undroidwish-generic.sh build
}
package() {
local uwish="$builddir"/undroid/undroidwish
sha512sum $uwish
install -vDm755 $uwish -t "$pkgdir"/usr/bin/
ls -l $uwish "$pkgdir"/usr/bin
install -vDm644 "$builddir"/undroid/build.log \
-t "$pkgdir"/var/log/
}
sha512sums="
850c4762c4430e2ee6cbc06f08f36b841433748ab366ce49f69e44bafe2ea776594390bdb128557b046a4d3ec9cdbe66522df981325188629dc01eda63d3d5a5 undroidwish-20201105.tar.gz
02bb4d6292388ee5e77d91dec05a8b9dca181a4efe03111a3a0ea4739d2c974b7841d6ee494151df5684104a59660521da9f7369a35e05146704ba0e3a8b2c06 use-system-libs.patch
f9ea0892742c10645638038b7057aeca18459549994605e3442ad42e22ca0a94c5d65e1b56bcd2162ac6083071a316fee20f579b558b0c31be0ee41fece38866 dont-build-info.patch
ecbee09864a42c9381586d32cc512a507fa97ae0f8af33cc22461999f936d24fb742794eb2447c481902517e57047905cb7ff7b9d79662ec4eab5e6b4d794b2d trofs-stat64.patch
05000d885242094afb6a013d3244c31f8657aa59859d21e228b8ff3c09a80e998877aa87ea663ee94c675c46e1d247a5ec4d383d52bd4c5b3076fab2b6deb13b dont-build-test.patch
119cc1ef10c63d2a3836227c903ac71ec2a32d50ead77fe1c3eb720f33379c751f4ff23c6f929e07906e2f5263d475b11d51f553037016e4a7c31cbdc65ae50f fix-vlerq-bigendian.patch
"
--- a/jni/libffi/Makefile.in
+++ b/jni/libffi/Makefile.in
@@ -373,7 +373,7 @@
am__v_texidevnull_ = $(am__v_texidevnull_@AM_DEFAULT_V@)
am__v_texidevnull_0 = > /dev/null
am__v_texidevnull_1 =
-INFO_DEPS = $(srcdir)/doc/libffi.info
+#INFO_DEPS = $(srcdir)/doc/libffi.info
am__TEXINFO_TEX_DIR = $(srcdir)
DVIS = doc/libffi.dvi
PDFS = doc/libffi.pdf
--- a/undroid/build-undroidwish-generic.sh
+++ b/undroid/build-undroidwish-generic.sh
@@ -544,7 +544,8 @@
cd libwebsockets/build
test -e build-stamp && echo >&3 "already done" && exit 0
cmake .. -DCMAKE_INSTALL_PREFIX=${PFX_HERE}/extra \
- -DLWS_IPV6=ON -DLWS_WITH_SHARED=OFF -DLWS_WITH_SSL=OFF || exit 1
+ -DLWS_IPV6=ON -DLWS_WITH_SHARED=OFF -DLWS_WITH_SSL=OFF \
+ -DLWS_WITHOUT_TEST_SERVER=ON || exit 1
make VERBOSE=1 COLOR=0 || exit 1
make VERBOSE=1 COLOR=0 install || exit 1
touch build-stamp
--- a/jni/tclkit/vqtcl/generic/vlerq.c
+++ b/jni/tclkit/vqtcl/generic/vlerq.c
@@ -39,8 +39,8 @@
#define VALUES_MUST_BE_ALIGNED 1
#endif
-#if defined(WORDS_BIGENDIAN)
-#if !defined(VLERQ_BIG_ENDIAN) || VLERQ_BIG_ENDIAN == ""
+#ifdef WORDS_BIGENDIAN
+#ifndef VLERQ_BIG_ENDIAN
#define VLERQ_BIG_ENDIAN 1
#endif
#endif
--- a/jni/trofs/generic/trofs.h
+++ b/jni/trofs/generic/trofs.h
@@ -11,6 +11,7 @@
#include <wchar.h>
#endif
+#include <sys/stat.h>
#include <tcl.h>
#ifndef CONST86
--- a/undroid/build-undroidwish-generic.sh
+++ b/undroid/build-undroidwish-generic.sh
@@ -333,6 +333,9 @@
echo -e >> build.log \
"\n***** build failed on $(date '+%Y-%m-%d %H:%M:%S') *****\n"
echo "failed, see build.log for details."
+ echo -e "\n\n\n\n\n"
+ cat build.log
+ echo -e "\n\n\n\n\n"
exit 1
}
@@ -372,71 +375,6 @@
echo >&3 "done"
) || fail
-echo -n "build libressl (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- cd libressl
- ASMOPT=""
- GCCVER=$($CC --version | awk '/(GCC|gcc)/ {print ($3+0.0)*10;}')
- if test $GCCVER -lt 44 ; then
- ASMOPT="--disable-asm"
- fi
- test -e build-stamp && echo >&3 "already done" && exit 0
- ./configure --prefix=${PFX} --with-pic $ASMOPT \
- --disable-shared --with-openssldir=/etc/pki/tls || exit 1
- # shrink SUBDIRS
- perl -pi -e 's/^SUBDIRS.*/SUBDIRS = crypto ssl include/g' Makefile
- make || exit 1
- make install DESTDIR=${HERE} || exit 1
- # no libtool madness, please
- rm -f ${PFX_HERE}/lib/libcrypto.la ${PFX_HERE}/lib/libssl.la
- touch build-stamp
- echo >&3 "done"
-) || fail
-
-echo -n "build zlib (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- cd zlib
- test -e build-stamp && echo >&3 "already done" && exit 0
- CFLAGS="-fPIC" ./configure --prefix=${PFX} --static
- make || exit 1
- make install DESTDIR=${HERE} || exit 1
- touch build-stamp
- echo >&3 "done"
-)
-
-echo -n "build curl (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- cd curl
- test -e build-stamp && echo >&3 "already done" && exit 0
- # cheat libressl for build
- mkdir -p ssl/lib/pkgconfig
- cp ${PFX_HERE}/lib/pkgconfig/openssl.pc ssl/lib/pkgconfig
- cp ${PFX_HERE}/lib/pkgconfig/libssl.pc ssl/lib/pkgconfig
- cp ${PFX_HERE}/lib/pkgconfig/libcrypto.pc ssl/lib/pkgconfig
- perl -pi -e "s@${PFX}@${PFX_HERE}@g" ssl/lib/pkgconfig/*.pc
- ./configure --prefix=${PFX} --with-pic \
- --disable-shared --disable-ldap \
- --without-libidn2 --without-nghttp2 --without-zsh-functions-dir \
- --without-librtmp --without-libssh2 --without-libpsl --without-axtls \
- --without-nss --without-cyassl --without-mbedtls --without-polarssl \
- --without-gnutls --without-brotli \
- --with-ssl=$(pwd)/ssl --with-zlib=${HERE}/zlib
- # shrink SUBDIRS
- perl -pi -e 's/^SUBDIRS.*/SUBDIRS = lib include/g' Makefile
- make || exit 1
- make install DESTDIR=${HERE} || exit 1
- # cheat curl binary to make TclCurl configure happy
- echo '#!/bin/false' > ${PFX_HERE}/bin/curl && chmod a+x ${PFX_HERE}/bin/curl
- touch build-stamp
- echo >&3 "done"
-) || fail
-
echo -n "build tcludp ... "
(
exec 3>&1
@@ -550,8 +488,7 @@
cd tls
test -e build-stamp && echo >&3 "already done" && exit 0
CFLAGS="-DNO_SSL2=1 -DNO_SSL3=1" LDFLAGS="-lrt" DESTDIR=${HERE} ./configure \
- --prefix=${PFX} --with-tcl=${HERE}/tcl/unix --enable-threads \
- --with-ssl-dir=${PFX_HERE} || exit 1
+ --prefix=${PFX} --with-tcl=${HERE}/tcl/unix --enable-threads || exit 1
echo > exports '{ global: Tls_*Init; local: *; };'
perl -pi -e 's@\$\{LDFLAGS_DEFAULT\}@'-Wl,--version-script=$(pwd)/exports'@g' \
Makefile
@@ -586,9 +523,6 @@
test -e build-stamp && echo >&3 "already done" && exit 0
DESTDIR=${HERE} LDFLAGS="-L${PFX_HERE}/lib" ./configure \
--prefix=${PFX} \
- --with-curlprefix=${PFX_HERE} \
- --with-curlinclude=${HERE}/curl/include \
- --with-libcurl=${PFX_HERE}/lib \
--with-tcl=${HERE}/tcl/unix --enable-threads || exit 1
echo > exports '{ global: Tclcurl_*Init; local: *; };'
perl -pi -e 's@\$\{LDFLAGS_DEFAULT\}@'-Wl,--version-script=$(pwd)/exports'@g' \
@@ -600,37 +534,6 @@
echo >&3 "done"
) || fail
-echo -n "build freetype (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- TCLDIR=${HERE}/tcl
- CC="$CC -fPIC"
- CXX="$CXX -fPIC"
- cd freetype
- test -e build-stamp && echo >&3 "already done" && exit 0
- # would like to use libz within libtcl, however libfreetype is
- # used by tkpath, too.
- #ZLIB_CFLAGS=-I${TCLDIR}/compat/zlib ZLIB_LIBS="-L${TCLDIR}/win -ltcl8.6" \
- #./configure --prefix=${PFX_HERE} \
- # --disable-shared --with-bzip2=no --with-png=no \
- # --with-harfbuzz=no --with-zlib=yes || exit 1
- ./configure --prefix=${PFX_HERE} \
- --disable-shared --with-bzip2=no --with-png=no --with-brotli=no \
- --with-harfbuzz=no --with-zlib=yes --enable-freetype-config || exit 1
- # remove some drivers to conserve space
- perl -ni -e 'print unless /pcf_driver/' objs/ftmodule.h
- perl -ni -e 'print unless /bdf_driver/' objs/ftmodule.h
- perl -ni -e 'print unless /cid_driver/' objs/ftmodule.h
- perl -ni -e 'print unless /pfr_driver/' objs/ftmodule.h
- perl -ni -e 'print unless /t42_driver/' objs/ftmodule.h
- perl -ni -e 'print unless /winfnt_driver/' objs/ftmodule.h
- make || exit 1
- make install || exit 1
- touch build-stamp
- echo >&3 "done"
-) || fail
-
echo -n "build libwebsockets (static, pic) ... "
(
exec 3>&1
@@ -791,22 +694,6 @@
echo >&3 "done"
) || fail
-echo -n "build jpeg-turbo (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- cd jpeg-turbo
- test -e build-stamp && echo >&3 "already done" && exit 0
- chmod a+x ./configure
- ./configure --prefix=${PFX} -with-jpeg8 \
- --enable-static --disable-shared --with-pic --with-mem-srcdst
- make -C simd libsimd.la || exit 1
- make libjpeg.la || exit 1
- cp -p .libs/libjpeg.a .
- touch build-stamp
- echo >&3 "done"
-) || fail
-
echo -n "build 3dcanvas ... "
(
exec 3>&1
@@ -839,8 +726,7 @@
PATH=${PFX_HERE}/bin:$PATH
DESTDIR=${HERE} ./configure --prefix=${PFX} \
--with-tcl=${HERE}/tcl/unix --with-tk=${HERE}/sdl2tk/sdl \
- --with-tkinclude=${PFX_HERE}/include --with-libjpeg=${HERE}/jpeg-turbo \
- --enable-threads || exit 1
+ --with-tkinclude=${PFX_HERE}/include --enable-threads || exit 1
make || exit 1
make install-libraries INSTALL_ROOT=${HERE} || exit 1
touch build-stamp
@@ -1246,8 +1132,7 @@
exec >> build.log 2>&1
cd tclepeg
test -e build-stamp && echo >&3 "already done" && exit 0
- DESTDIR=${HERE} CFLAGS="-I${HERE}/jpeg-turbo" \
- LDFLAGS="-L${HERE}/jpeg-turbo" \
+ DESTDIR=${HERE} \
./configure --prefix=${PFX} \
--with-tcl=${HERE}/tcl/unix --enable-threads || exit 1
echo > exports '{ global: Tclepeg_*Init; local: *; };'
@@ -1266,8 +1151,7 @@
cd tcluvc
test -e build-stamp && echo >&3 "already done" && exit 0
PATH=${PFX_HERE}/bin:$PATH
- CFLAGS="-DLIBUVC_HAVE_JPEG=1 -I${HERE}/jpeg-turbo" \
- LDFLAGS="-L${HERE}/jpeg-turbo" LIBS="-ljpeg" \
+ CFLAGS="-DLIBUVC_HAVE_JPEG=1" LIBS="-ljpeg" \
DESTDIR=${HERE} ./configure --prefix=${PFX} \
--with-tcl=${HERE}/tcl/unix --with-tk=${HERE}/sdl2tk/sdl || exit 1
echo > exports '{ global: Tcluvc_*Init; local: *; };'
@@ -1710,25 +1594,6 @@
make || exit 1
make install-binaries install-libraries DESTDIR=${HERE} || exit 1
cp -rp demos ${PFX_HERE}/lib/Tix*
- touch build-stamp
- echo >&3 "done"
-) || fail
-
-echo -n "build openjpeg (static, pic) ... "
-(
- exec 3>&1
- exec >> build.log 2>&1
- mkdir -p openjpeg/build
- cd openjpeg/build
- test -e build-stamp && echo >&3 "already done" && exit 0
- cmake .. -DCMAKE_BUILD_TYPE=Release -DCMAKE_POSITION_INDEPENDENT_CODE=ON \
- -DCMAKE_INSTALL_PREFIX=${PFX_HERE}/extra -DBUILD_SHARED_LIBS:bool=off \
- -DBUILD_PKGCONFIG_FILES=on -DOPJ_USE_THREAD:bool=off || exit 1
- make VERBOSE=1 COLOR=0 openjp2/fast || exit 1
- make VERBOSE=1 COLOR=0 opj_compress/fast || exit 1
- make VERBOSE=1 COLOR=0 opj_decompress/fast || exit 1
- make VERBOSE=1 COLOR=0 opj_dump/fast || exit 1
- make VERBOSE=1 COLOR=0 install/fast || exit 1
touch build-stamp
echo >&3 "done"
) || fail
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment